AccountControllerUpdateLastLogOnIpAddress Method |
PUT /Account/IpAddress/{id}
Updates a user account's last logon IP address.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("IpAddress")]
public IActionResult UpdateLastLogOnIpAddress(
Guid id,
[FromBodyAttribute] string ipAddress,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("IpAddress")>
Public Function UpdateLastLogOnIpAddress (
id As Guid,
<FromBodyAttribute> ipAddress As String,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"IpAddress")]
IActionResult^ UpdateLastLogOnIpAddress(
Guid id,
[FromBodyAttribute] String^ ipAddress,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("IpAddress")>]
member UpdateLastLogOnIpAddress :
id : Guid *
[<FromBodyAttribute>] ipAddress : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the account to update. - ipAddress
- Type: SystemString
The IP address to use in the update. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also